#ident	"$Header: /var/cvsroot/htdb/src/cgi/htdb.c,v 1.4 2004/06/19 18:04:40 del Exp $"

/*
	Copyright  1994-2004 David Whittemore
	<del@adjective.com>, all rights reserved.

	Permission to use, copy, modify, and non-commercially distribute
	this software and its documentation for any purpose is hereby granted
	without fee, provided that the above copyright notice appear in all
	copies and that both that copyright notice and this permission notice
	appear in supporting documentation.  No representations are made about
	the suitability of this software for any purpose.  It is provided
	"as is" without express or implied warranty.
 */
#include	"htdb.h"

/*
	the application information structure
 */
appinfo_t	appinfo = {
	/* the application name */
		"htdb",
	/* the application version */
		"1.2.3",
	/* command-line usage information */
		"this program utilizes the built-in handler " 
		"to process .htdb documents. \n\n" 
		"in short, URI strings of the form \n" 
		"\t /htdb/site/index.html \n\n" 
		"are parsed into the values of " 
		"`db'=site and `page'=index.html \n\n" 
		"the `db'.htdb file is then processed " 
		"and we spit out what document \n" 
		"we find defined for `page'.",
	/* initial htdb values */
		"",
	/* address of handler function */
		htdb_page_handler,
	/* serve this many pages per fastCGI loop */
		FCGI_KEEPALIVE,
	/* (optional) command-line arguments */
		""
};

int	main(int argc, char **argv)
{
	exit (htdb_main(argc, argv, &appinfo));
}
